# frozen_string_literal: true

require_relative './representer/address'

module ONEAccess
  module DataObject
    class Address
      extend Serializable

      represented_by Representer::Address

      attr_accessor :id
      attr_accessor :city
      attr_accessor :country
      attr_accessor :region
      attr_accessor :is_main_address

      alias main_address? is_main_address
    end
  end
end
