# frozen_string_literal: true

require_relative './representer/company'

module ONEAccess
  module DataObject
    class Company
      extend Serializable

      represented_by Representer::Company

      attr_accessor :id
      attr_accessor :name
      attr_accessor :is_private
      attr_accessor :exchange_code
      attr_accessor :ticker
      attr_accessor :website
      attr_accessor :address
      attr_accessor :industry
      attr_accessor :sub_industry
      attr_accessor :perm_id

      alias is_private? is_private
      alias private? is_private
    end
  end
end
