# frozen_string_literal: true

require_relative './representer/company_light'

module ONEAccess
  module DataObject
    class CompanyLight
      extend Serializable

      represented_by Representer::CompanyLight

      attr_accessor :id
      attr_accessor :name
      attr_accessor :is_private
      attr_accessor :exchange_code
      attr_accessor :ticker

      alias is_private? is_private
      alias private? is_private
    end
  end
end
