# frozen_string_literal: true

require_relative './representer/global_region'

module ONEAccess
  module DataObject
    class GlobalRegion
      extend Serializable

      represented_by Representer::GlobalRegion

      attr_accessor :id
      attr_accessor :name
      attr_accessor :code
      attr_accessor :code3
      attr_accessor :description
      attr_accessor :global_region
      attr_accessor :regions
    end
  end
end
