# frozen_string_literal: true

require_relative './representer/inducement'

module ONEAccess
  module DataObject
    class Inducement
      extend Serializable

      represented_by Representer::Inducement

      attr_accessor :receive_date
      attr_accessor :provider_org_id
      attr_accessor :email_inducement_id
      attr_accessor :recipient_user_id
      attr_accessor :sender_user_id
      attr_accessor :email_inducement_status_id
      attr_accessor :body
      attr_accessor :processed_date
      attr_accessor :subject
    end
  end
end
