# frozen_string_literal: true

require_relative './representer/industry'

module ONEAccess
  module DataObject
    class Industry
      extend Serializable

      represented_by Representer::Industry

      attr_accessor :id
      attr_accessor :name
      attr_accessor :code
      attr_accessor :parent
    end
  end
end
