# frozen_string_literal: true

require_relative './representer/investor'

module ONEAccess
  module DataObject
    class Investor
      extend Serializable

      represented_by Representer::Investor

      attr_accessor :investor_id
      attr_accessor :investor_name
      attr_accessor :active

      alias active? active
    end
  end
end
