# frozen_string_literal: true

require_relative './representer/providers_user_details'

module ONEAccess
  module DataObject
    class ProvidersUserDetails
      extend Serializable

      represented_by Representer::ProvidersUserDetails

      attr_accessor :id
      attr_accessor :user_rev_ent_status
      attr_accessor :first_name
      attr_accessor :last_name
      attr_accessor :email
      attr_accessor :vendors_count
      attr_accessor :vendors
    end
  end
end
