# frozen_string_literal: true

require_relative './representer/region'

module ONEAccess
  module DataObject
    class Region
      extend Serializable

      represented_by Representer::Region

      attr_accessor :id
      attr_accessor :name
      attr_accessor :code
      attr_accessor :description
    end
  end
end
