# frozen_string_literal: true

module ONEAccess
  module DataObject
    module Representer
      class CompanyLight < Representable::Decorator
        include Representable::JSON

        property :id, as: :Id, type: Integer
        property :name, as: :Name, type: String
        property :is_private, as: :IsPrivate
        property :exchange_code, as: :ExchangeCode, type: String
        property :ticker, as: :Ticker, type: String
      end
    end
  end
end
