# frozen_string_literal: true

module ONEAccess
  module DataObject
    module Representer
      class Contributor < Representable::Decorator
        include Representable::JSON

        property :contributor_id, type: Integer
        property :contributor_name, type: String
        property :contributor_shortname, type: String
        property :active
      end
    end
  end
end
