# frozen_string_literal: true

module ONEAccess
  module DataObject
    module Representer
      class Investor < Representable::Decorator
        include Representable::JSON

        property :investor_id, type: Integer
        property :investor_name, type: String
        property :active
      end
    end
  end
end
