# frozen_string_literal: true

module ONEAccess
  module DataObject
    module Representer
      class ProvidersUserDetailsVendor < Representable::Decorator
        include Representable::JSON

        property :id, type: Integer
        property :rev_ent_status, as: :reventstatus, type: String
        property :name, type: String
        property :short_name, as: :shortname, type: String
        property :ent_level, as: :entlevel, type: String
      end
    end
  end
end
