# frozen_string_literal: true

module ONEAccess
  module DataObject
    module Representer
      class Region < Representable::Decorator
        include Representable::JSON

        property :id, as: :Id, type: Integer
        property :name, as: :Name, type: String
        property :code, as: :Code, type: String
        property :description, as: :Description, type: String
      end
    end
  end
end
