# frozen_string_literal: true

module ONEAccess
  module DataObject
    module Representer
      class SAMLInfo < Representable::Decorator
        include Representable::JSON

        property :saml_response, as: :SAMLResponse, type: String
        property :sso_login_url, as: :SSOLoginUrl, type: String
        property :use_iframe, as: :UseIframe
      end
    end
  end
end
