# frozen_string_literal: true

module ONEAccess
  module DataObject
    module Representer
      class UserLight < Representable::Decorator
        include Representable::JSON

        property :id, as: :Id, type: Integer
        property :first_name, as: :FirstName, type: String
        property :last_name, as: :LastName, type: String
        property :email, as: :Email, type: String
      end
    end
  end
end
