# frozen_string_literal: true

require_relative './representer/sell_side_user_group_entitlement'

module ONEAccess
  module DataObject
    class SellSideUserGroupEntitlement
      extend Serializable

      represented_by Representer::SellSideUserGroupEntitlement

      attr_accessor :id
      attr_accessor :name
      attr_accessor :is_approved

      alias approved? is_approved
    end
  end
end
