# frozen_string_literal: true

require_relative './representer/user'

module ONEAccess
  module DataObject
    class User
      extend Serializable

      represented_by Representer::User

      attr_accessor :id
      attr_accessor :first_name
      attr_accessor :last_name
      attr_accessor :email
      attr_accessor :phone
      attr_accessor :type
      attr_accessor :active
      attr_accessor :reg_status
      attr_accessor :is_broker_administrator
      attr_accessor :organization # Instance of OrganizationLight
      attr_accessor :address
    end
  end
end
