# frozen_string_literal: true

require_relative './representer/user_light'

module ONEAccess
  module DataObject
    class UserLight
      extend Serializable

      represented_by Representer::UserLight

      attr_accessor :id
      attr_accessor :first_name
      attr_accessor :last_name
      attr_accessor :email
    end
  end
end
