# frozen_string_literal: true

require_relative './base_response'
require_relative './representer/buy_side_interactions_response'

module ONEAccess
  module Response
    class BuySideInteractionsResponse < BaseResponse
      extend Serializable

      attr_accessor :event_id

      represented_by Representer::BuySideInteractionsResponse
    end
  end
end
