# frozen_string_literal: true

require_relative './paginated_response'
require_relative './representer/countries_response'

module ONEAccess
  module Response
    class CountriesResponse < PaginatedResponse
      represented_by Representer::CountriesResponse
    end
  end
end
