# frozen_string_literal: true

require_relative './base_response'
require_relative './representer/investors_response'

module ONEAccess
  module Response
    class InvestorsResponse
      extend Serializable
      represented_by Representer::InvestorsResponse

      attr_accessor :meta
      attr_accessor :data
    end
  end
end
