# frozen_string_literal: true

require_relative './base_response'

module ONEAccess
  module Response
    class PaginatedResponse < BaseResponse
      attr_accessor :total_count
      attr_accessor :has_more_records

      alias has_more_records? has_more_records
      alias more_records? has_more_records
    end
  end
end
