# frozen_string_literal: true

require_relative './paginated_response'
require_relative '../../data_object/company_light'

module ONEAccess
  module Response
    module Representer
      class CompaniesResponse < PaginatedResponse
        collection :data,
          as: :Data,
          decorator: DataObject::Representer::CompanyLight,
          class: DataObject::CompanyLight
      end
    end
  end
end
