# frozen_string_literal: true

require_relative './base_response'
require_relative '../../data_object/industry'
require_relative '../../data_object/company'

module ONEAccess
  module Response
    module Representer
      class CompanyResponse < BaseResponse
        property :data,
          as: :Data,
          decorator: DataObject::Representer::Company,
          class: DataObject::Company
      end
    end
  end
end
