# frozen_string_literal: true

require_relative './paginated_response'
require_relative '../../data_object/industry'

module ONEAccess
  module Response
    module Representer
      class IndustriesResponse < PaginatedResponse
        collection :data,
          as: :Data,
          decorator: DataObject::Representer::Industry,
          class: DataObject::Industry
      end
    end
  end
end
