# frozen_string_literal: true

require_relative './paginated_response'
require_relative '../../data_object/product_group'

module ONEAccess
  module Response
    module Representer
      class ProductGroupsResponse < PaginatedResponse
        collection :data,
          as: :Data,
          decorator: DataObject::Representer::ProductGroup,
          class: DataObject::ProductGroup
      end
    end
  end
end
