# frozen_string_literal: true

require_relative './paginated_response'
require_relative '../../data_object/user_entitlement_request'

module ONEAccess
  module Response
    module Representer
      class UserEntitlementRequestsResponse < PaginatedResponse
        collection :data,
          as: :Data,
          decorator: DataObject::Representer::UserEntitlementRequest,
          class: DataObject::UserEntitlementRequest
      end
    end
  end
end
