# frozen_string_literal: true

require_relative '../../response/organization_response'

module ONEAccess
  module API
    module V1_1
      class Organizations < Base
        api_path '/organizations'

        def self.get(id:)
          resp = send_get("get/#{id}")
          Response::OrganizationResponse.from_json(resp.body)
        end
      end
    end
  end
end
