# frozen_string_literal: true

require_relative '../../response/user_response'

module ONEAccess
  module API
    module V1_1
      class User < Base
        api_path '/user'

        def self.get_by_email(first_name:, last_name:, email:)
          resp = send_get('getbyemail', userFirstName: first_name, userLastName: last_name, userEmail: email)
          Response::UserResponse.from_json(resp.body)
        end
      end
    end
  end
end
