# frozen_string_literal: true

require_relative './representer/city'

module ONEAccess
  module DataObject
    class City
      extend Serializable

      represented_by Representer::City

      attr_accessor :id
      attr_accessor :name
      attr_accessor :code
      attr_accessor :description
      attr_accessor :longitude
      attr_accessor :latitude
      attr_accessor :country
      attr_accessor :region
    end
  end
end
