# frozen_string_literal: true

require_relative './representer/contributor'

module ONEAccess
  module DataObject
    class Contributor
      extend Serializable

      represented_by Representer::Contributor

      attr_accessor :contributor_id
      attr_accessor :contributor_name
      attr_accessor :contributor_shortname
      attr_accessor :active

      alias active? active
    end
  end
end
