# frozen_string_literal: true

require_relative './representer/country'

module ONEAccess
  module DataObject
    class Country
      extend Serializable

      represented_by Representer::Country

      attr_accessor :id
      attr_accessor :name
      attr_accessor :code
      attr_accessor :code3
      attr_accessor :description
      attr_accessor :global_region
      attr_accessor :regions
    end
  end
end
