# frozen_string_literal: true

require_relative './representer/organization'

module ONEAccess
  module DataObject
    class Organization
      extend Serializable

      represented_by Representer::Organization

      attr_accessor :id
      attr_accessor :name
      attr_accessor :active
      attr_accessor :short_name
      attr_accessor :type
      attr_accessor :addresses
      attr_accessor :main_address
    end
  end
end
