# frozen_string_literal: true

require_relative './representer/providers_user_details_vendor'

module ONEAccess
  module DataObject
    class ProvidersUserDetailsVendor
      extend Serializable

      represented_by Representer::ProvidersUserDetailsVendor

      attr_accessor :id
      attr_accessor :rev_ent_status
      attr_accessor :name
      attr_accessor :short_name
      attr_accessor :ent_level
    end
  end
end
