# frozen_string_literal: true

require_relative './representer/providers_users_details'

module ONEAccess
  module DataObject
    class ProvidersUsersDetails
      extend Serializable

      represented_by Representer::ProvidersUsersDetails

      attr_accessor :provider_id
      attr_accessor :buy_side_org_id
      attr_accessor :provider_name
      attr_accessor :contract_status
      attr_accessor :contract_status_id
      attr_accessor :buy_side_org_name
      attr_accessor :users_count
      attr_accessor :users
    end
  end
end
