# frozen_string_literal: true

module ONEAccess
  module DataObject
    module Representer
      class ProductGroup < Representable::Decorator
        include Representable::JSON

        property :id, as: :Id, type: Integer
        property :name, as: :Name, type: String
        property :description, as: :Description, type: String
        property :status, as: :Status, type: Integer
        property :contributor_org_id, as: :ContributorOrgId, type: Integer
        property :type, as: :Type, type: Integer
        property :is_default, as: :IsDefault
      end
    end
  end
end
