# frozen_string_literal: true

module ONEAccess
  module DataObject
    module Representer
      class SellSideUserGroupEntitlement < Representable::Decorator
        include Representable::JSON

        property :id, as: :Id, type: Integer
        property :name, as: :Name, type: String
        property :is_approved, as: :IsApproved
      end
    end
  end
end
