# frozen_string_literal: true

require_relative './representer/research_document_info'

module ONEAccess
  module DataObject
    class ResearchDocumentInfo
      extend Serializable

      represented_by Representer::ResearchDocumentInfo

      attr_accessor :url
      attr_accessor :title
      attr_accessor :saml # instance of SAMLInfo
    end
  end
end
