# frozen_string_literal: true

require_relative './representer/saml_info'

module ONEAccess
  module DataObject
    class SAMLInfo
      extend Serializable

      represented_by Representer::SAMLInfo

      attr_accessor :saml_response
      attr_accessor :sso_login_url
      attr_accessor :use_iframe

      alias use_iframe? use_iframe
    end
  end
end
