# frozen_string_literal: true

require_relative './base_response'
require_relative './representer/contributors_response'

module ONEAccess
  module Response
    class ContributorsResponse
      extend Serializable
      represented_by Representer::ContributorsResponse

      attr_accessor :meta
      attr_accessor :data
    end
  end
end
