# frozen_string_literal: true

require_relative './base_response'
require_relative './representer/inducement_response'

module ONEAccess
  module Response
    class InducementResponse < BaseResponse
      represented_by Representer::InducementResponse

      attr_accessor :email_inducement
      attr_accessor :message
    end
  end
end
