# frozen_string_literal: true

require_relative './paginated_response'
require_relative '../../data_object/industry'

module ONEAccess
  module Response
    module Representer
      class CountriesResponse < PaginatedResponse
        collection :data,
          as: :Data,
          decorator: DataObject::Representer::Country,
          class: DataObject::Country
      end
    end
  end
end
