# frozen_string_literal: true

require_relative './base_response'
require_relative '../../data_object/inducement'
require_relative '../../data_object/representer/inducement'

module ONEAccess
  module Response
    module Representer
      class InducementResponse < BaseResponse
        property :email_inducement,
          as: :EmailInducement,
          decorator: DataObject::Representer::Inducement,
          class: DataObject::Inducement
        property :message, as: :Message
      end
    end
  end
end
