# frozen_string_literal: true

require_relative './base_response'
require_relative '../../data_object/organization'

module ONEAccess
  module Response
    module Representer
      class OrganizationResponse < BaseResponse
        property :data, as: :Data, decorator: DataObject::Representer::Organization, class: DataObject::Organization
      end
    end
  end
end
