# frozen_string_literal: true

require_relative './base_response'

module ONEAccess
  module Response
    module Representer
      class PaginatedResponse < BaseResponse
        property :has_more_records, as: :HasMoreRecords
        property :total_count, as: :TotalCount
      end
    end
  end
end
