# frozen_string_literal: true

require_relative './collection_response'
require_relative '../../data_object/providers_users_details'

module ONEAccess
  module Response
    module Representer
      class ProvidersUsersDetailsResponse < CollectionResponse
        items decorator: DataObject::Representer::ProvidersUsersDetails,
              class: DataObject::ProvidersUsersDetails
      end
    end
  end
end
