# frozen_string_literal: true

require_relative './base_response'
require_relative '../../data_object/research_document_info'

module ONEAccess
  module Response
    module Representer
      class ResearchDocumentResponse < BaseResponse
        property :data,
          as: :Data,
          decorator: DataObject::Representer::ResearchDocumentInfo,
          class: DataObject::ResearchDocumentInfo
      end
    end
  end
end
