# frozen_string_literal: true

require_relative './base_response'
require_relative '../../data_object/user'

module ONEAccess
  module Response
    module Representer
      class UserResponse < BaseResponse
        property :data, as: :Data, decorator: DataObject::Representer::User, class: DataObject::User
      end
    end
  end
end
